lifted-base-0.2.0.3: lifted IO operations from the base library

Portability | non-portable
Stability | experimental
Maintainer | libraries@haskell.org
Safe Haskell | Trustworthy

System.Timeout.Lifted

Description

Attach a timeout event to monadic computations which are instances of `MonadBaseControl`.

Synopsis

- timeout :: MonadBaseControl IO m => Int -> m a -> m (Maybe a)

# Documentation

timeout :: MonadBaseControl IO m => Int -> m a -> m (Maybe a)Source

Generalized version of `timeout`.

Note that when the given computation times out any side effects of `m` are discarded. When the computation completes within the given time the side-effects are restored on return.